Name:           tigase-utils
Version:        3.3.10
Release:        1%{?dist}
Summary:        Tigase Utils

Group:          Development/Libraries
License:        GPLv3
URL:            http://www.tigase.org/
# The source for this package was pulled from upstream's vcs.
# Use the following commands to generate the tarball:
#  svn export -t tigase-utils-3.3.10 https://svn.tigase.org/reps/%{name}/trunk/ %{name}-%{version}
#  tar -cjvf %{name}-%{version}.tar.bz2 %{name}-%{version}
Source0:        %{name}-%{version}.tar.bz2  

BuildArch:      noarch
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:  jpackage-utils
BuildRequires:  java-devel >= 1.6.0
BuildRequires:  ant ant-contrib ant-apache-regexp
BuildRequires:  tigase-xmltools xml-commons-apis
# RHBZ# 592035
BuildRequires:  ant-nodeps
Requires:       jpackage-utils
Requires:       java >= 1.6.0
ExcludeArch: ppc

%description
All utility code used in other Tigase projects.

%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

%build
export LANG=en_US
export CLASSPATH=$(build-classpath ant/ant-contrib)
ant -Dlibs=%{_javadir} jar docs

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p jars/%{name}.jar   \
    $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -sf %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp docs-%{name}/api/  \
    $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_javadir}/*
%doc COPYING

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}

%changelog
* Tue Oct 19 2010 Matěj Cepl <mcepl@redhat.com> - 3.3.10-1
- New upstream release.

* Mon Aug 16 2010 Matěj Cepl <mcepl@redhat.com> - 3.3.9-2
- Recreated repo for missing branches.

* Sun Aug 01 2010 Matěj Cepl <mcepl@redhat.com> - 3.3.9-1
- Release for review.

* Tue May 11 2010 Matěj Cepl <mcepl@redhat.com> - 3.3.4-3
- Fixing description per reviewer's request

* Sat Apr 19 2010 Matěj Cepl <mcepl@redhat.com> 3.3.4-2
- Tidy up the spec per package review comments

* Sat Apr 17 2010 Matěj Cepl <mcepl@redhat.com> - 3.3.4-1
- Initial packaging effort
